//
// DotNetNuke - http://www.dotnetnuke.com
// Copyright (c) 2002-2011
// by DotNetNuke Corporation
//
// Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated 
// documentation files (the "Software"), to deal in the Software without restriction, including without limitation 
// the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and 
// to permit persons to whom the Software is furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in all copies or substantial portions 
// of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED 
// TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL 
// THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF 
// CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER 
// DEALINGS IN THE SOFTWARE.
//

using DotNetNuke.Web.UI;
using DotNetNuke.Services.Localization;

namespace DotNetNuke.Wrapper.UI.WebControls
{

	public class DnnGridExpandColumn : Telerik.Web.UI.GridColumn
	{

		#region Public Properties

		public string LocalResourceFile {
			get { return Utilities.GetLocalResourceFile(Owner.OwnerGrid.Parent); }
		}

		#endregion

		#region Public Methods

		public override Telerik.Web.UI.GridColumn Clone()
		{
            var dnnGridColumn = new DnnGridExpandColumn();

			//you should override CopyBaseProperties if you have some column specific properties
			dnnGridColumn.CopyBaseProperties(this);

			return dnnGridColumn;
		}

		public override void InitializeCell(System.Web.UI.WebControls.TableCell cell, int columnIndex, Telerik.Web.UI.GridItem inItem)
		{
			base.InitializeCell(cell, columnIndex, inItem);
			if (inItem is Telerik.Web.UI.GridHeaderItem) {
				cell.Text = Localization.GetString(string.Format("{0}.Header", HeaderText), LocalResourceFile);
			}
		}

		#endregion

	}

}
